package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.CorpQualificationInfoAddCmd;
import com.zcloud.basic.info.dto.CorpQualificationInfoPageQry;
import com.zcloud.basic.info.dto.CorpQualificationInfoUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.CorpQualificationInfoCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-10-30 09:54:17
 */
public interface CorpQualificationInfoServiceI {
    PageResponse<CorpQualificationInfoCO> listPage(CorpQualificationInfoPageQry qry);

    SingleResponse<CorpQualificationInfoCO> add(CorpQualificationInfoAddCmd cmd);

    void edit(CorpQualificationInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    CorpQualificationInfoCO getInfoById(Long id);
}

